## cascading.flow.hadoop2
Class Hadoop2MR1FlowConnector

    java.lang.Object
      cascading.flow.FlowConnector
          cascading.flow.hadoop2.Hadoop2MR1FlowConnector

Direct Known Subclasses:
  HadoopFlowConnector

    public class Hadoop2MR1FlowConnector

extends FlowConnector

Use the Hadoop2MR1FlowConnector to link source and sink `Tap` instances with an assembly of `Pipe` instances into an executable `HadoopFlow` for execution on an Apache Hadoop cluster.

See Also:
  `AppProps`, `FlowConnectorProps`, `FlowDef`, `MapReduceFlow`

Field Summary

Fields inherited from class cascading.flow.FlowConnector
`properties`

Constructor Summary
`Hadoop2MR1FlowConnector()` Constructor FlowConnector creates a new FlowConnector instance.
`Hadoop2MR1FlowConnector(Map<Object,Object> properties)` Constructor FlowConnector creates a new FlowConnector instance using the given `Properties` instance as default value for the underlying jobs.

Method Summary
`protected FlowPlanner` `createFlowPlanner()`
`protected Class<? extends Scheme>` `getDefaultIntermediateSchemeClass()`

Methods inherited from class cascading.flow.FlowConnector
`connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, getIntermediateSchemeClass, getPlatformInfo, getProperties, setApplicationJarClass, setApplicationJarPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hadoop2MR1FlowConnector

    public Hadoop2MR1FlowConnector()

  Constructor FlowConnector creates a new FlowConnector instance.

  All properties passed to Hadoop are retrieved from a default instantiation of the Hadoop `JobConf` which pulls all properties from the local CLASSPATH.

### Hadoop2MR1FlowConnector

    @ConstructorProperties(value="properties")
    public Hadoop2MR1FlowConnector(Map<Object,Object> properties)

  Constructor FlowConnector creates a new FlowConnector instance using the given `Properties` instance as default value for the underlying jobs. All properties are copied to a new native configuration instance.

  Parameters:
    `properties` - of type Properties

Method Detail

### getDefaultIntermediateSchemeClass

    protected Class<? extends Scheme> getDefaultIntermediateSchemeClass()

  Specified by:
    `getDefaultIntermediateSchemeClass` in class `FlowConnector`

### createFlowPlanner

    protected FlowPlanner createFlowPlanner()

  Specified by:
    `createFlowPlanner` in class `FlowConnector`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.